# Copyright (c) 2005-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr
%define _SO_nr	1

Summary:		Gmerlin A/V decoder library
Name:			gmerlin-avdecoder
Version:		1.1.0
Release:		5.7
License:		GPL
Group:			Productivity/Multimedia/Video/Editors and Convertors
Source0:		%{name}-%{version}.tar.gz
Patch0:			%{name}-0.1.4_libcdio.patch
URL:			http://gmerlin.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	doxygen
BuildRequires:	gamin-devel
BuildRequires:	flac-devel >= 1.1.0
BuildRequires:	liba52dec-devel >= 0.7.4
BuildRequires:	libcdio-devel >= 0.75
BuildRequires:	libdca-devel
BuildRequires:	libdvdread3-devel
BuildRequires:	libfaad2-devel >= 2.0
BuildRequires:	libffmpeg_oldabi-devel
BuildRequires:	libgavl-devel
BuildRequires:	libgmerlin-devel >= 0.4.2
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel >= 0.15.0
BuildRequires:	libmpcdec-devel
BuildRequires:	libmpeg2-devel >= 0.4.0
#BuildRequires:	libmusepack >= 1.1
BuildRequires:	openjpeg-devel
BuildRequires:	libpng-devel >= 1.2.2
BuildRequires:	libsmbclient-devel
BuildRequires:	libspeex-devel >= 1.0.4
BuildRequires:	libtheora-devel >= 1.0alpha5
BuildRequires:	libtiff-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvdpau-devel
BuildRequires:	libvorbis-devel >= 1.0
BuildRequires:	libx264-devel
BuildRequires:	libxml2-devel
BuildRequires:  libmjpegutils-devel >= 1.9
BuildRequires:	pkgconfig
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
Various encoder plugins for gmerlin.

%package -n libgmerlin-avdecoder-devel
Summary:	Header files for compiling gmerlin applications and plugins
Group:		Development/Libraries/C and C++
Requires:	libgmerlin_avdec%{_SO_nr} = %{version}
Requires:	gamin-devel
Requires:	flac-devel >= 1.1.0
Requires:	liba52dec-devel >= 0.7.4
#Requires:	libcdio-devel >= 0.75
Requires:	libdca-devel
Requires:	libdvdread3-devel
Requires:	libfaad2-devel >= 2.0
Requires:	libffmpeg_oldabi-devel
Requires:	libgavl-devel >= 1.1
Requires:	libgmerlin-devel >= 0.4.0
Requires:	libjpeg-devel
Requires:	libmad-devel >= 0.15.0
Requires:	libmpcdec-devel
Requires:	libmpeg2-devel >= 0.4.0
#Requires:	libmusepack >= 1.1
Requires:	openjpeg-devel
Requires:	libpng-devel >= 1.2.2
Requires:	libsmbclient-devel
Requires:	libspeex-devel >= 1.0.4
Requires:	libtheora-devel >= 1.0alpha5
Requires:	libtiff-devel
Requires:	libvdpau-devel
Requires:	libvorbis-devel >= 1.0
Requires:	libx264-devel
Requires:	libxml2-devel
Requires:	libmjpegutils-devel >= 1.9

%description -n libgmerlin-avdecoder-devel
Header files for compiling gmerlin applications and plugins for
package gmerlin-avdecoder.

%package -n libgmerlin_avdec%{_SO_nr}
Summary:	Shared library for Gmerlin A/V decoder library
Group:		System/Libraries
Provides:	libgmerlin-avdecoder1 = 1.0.0
Obsoletes:	libgmerlin-avdecoder1 < 1.0.0

%description -n libgmerlin_avdec%{_SO_nr}
Shared library for package gmerlin-avdecoder.

%package plugins
Summary:	Gmerlin plugins based on the Gmerlin A/V decoder library
Group:	    Productivity/Multimedia/Other
Requires:	gmerlin >= 0.4.2
Provides:	gmerlin-input-plugin

%description plugins
Gmerlin plugins based on the Gmerlin A/V decoder library.


%lang_package

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1
/bin/cat /usr/src/packages/SOURCES/gmerlin-avdecoder-0.1.4_libcdio.patch | /usr/bin/patch -s -p1

#./autogen.sh
%{?suse_update_config:%{suse_update_config -f}}

%if %suse_version > 1120
# The function png_set_gray_1_2_4_to_8() was removed. It has been
# deprecated since libpng-1.0.18 and 1.2.9, when it was replaced with
# png_set_expand_gray_1_2_4_to_8() because the former function also
# expanded palette images."
%__sed -i -e 's|png_set_gray_1_2_4_to_8|png_set_expand_gray_1_2_4_to_8|g' \
    lib/pngreader.c
%endif

%build
%if 0%{?suse_version} <= 1210
%suse_update_libdir configure
%endif

export CXXFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/openjpeg -fno-strict-aliasing"
export CPPFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/openjpeg -fno-strict-aliasing"
export CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/openjpeg -fno-strict-aliasing"
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall \
	docdir=%{_docdir}/%{name}-devel

%find_lang %{name}

%__rm -f %{buildroot}%{_libdir}/gmerlin/plugins/*.la
%__rm -f %{buildroot}%{_libdir}/*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libgmerlin_avdec%{_SO_nr} -p /sbin/ldconfig

%postun -n libgmerlin_avdec%{_SO_nr} -p /sbin/ldconfig

%files lang -f %{name}.lang

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/bgavdump
%{_bindir}/bgavdemux

%files -n libgmerlin_avdec%{_SO_nr}
%defattr(-,root,root)
%{_libdir}/libgmerlin_avdec.so.*

%files -n libgmerlin-avdecoder-devel
%defattr(-,root,root)
%dir %doc %{_docdir}/%{name}-devel
%doc %{_docdir}/%{name}-devel/*
%{_includedir}/gmerlin/*.h
%{_libdir}/libgmerlin_avdec.so
%{_libdir}/pkgconfig/gmerlin_avdec.pc

%files plugins
%defattr(-,root,root)
%dir %{_libdir}/gmerlin
%dir %{_libdir}/gmerlin/plugins
%{_libdir}/gmerlin/plugins/*.so*

%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- add libtool dependency to fix >12.1 build
- don't apply %%suse_update_libdir on >12.1 -- it breaks the build
* Wed Mar 10 2010 detlef@links2linux.de
- update to 1.1.0
* Sat Feb 27 2010 toni@links2linux.de
- update to 1.0.3
* Thu Feb 25 2010 toni@links2linux.de
- update to 1.0.2
* Tue Dec 23 2008 toni@links2linux.de
- rebuild with new libdvdread(-devel)
* Thu Dec 18 2008 toni@links2linux.de
- corrected Requires fro gmerlin-avdecoder-plugins subpackage
* Wed Dec 17 2008 toni@links2linux.de
- update to 1.0.0
- new SO-name ==> libgmerlin-avdecoder1
- added libopenjpeg support
* Thu Dec  4 2008 toni@links2linux.de
- added patch for new ffmpeg
* Wed Sep 24 2008 toni@links2linux.de
- rebuild with new packages (libmad-devel, libffmpeg-devel)
- patched for new ffmpeg-API (bits_per_sample ==> bits_per_coded_sample)
* Tue Jul 22 2008 toni@links2linux.de
- update to 0.1.8
* Thu May  1 2008 toni@links2linux.de
- rebuild against new ffmpeg packages
  thx for patch to Manfred !
* Thu Jan 10 2008 toni@links2linux.de
- update to 0.1.7
- changed package layout according Shared Library Packaging Policy
* Sat Dec 29 2007 toni@links2linux.de
- rebuild with new libx264(-devel) package
* Fri Dec 21 2007 toni@links2linux.de
- rebuild with new ffmpeg package
* Wed Nov  7 2007 toni@links2linux.de
- rebuild with libdca-0.0.5
* Mon Oct  1 2007 toni@links2linux.de
- rebuild with patches for libffmpeg0 (swtscaler)
- added flac patch for openSuSE-10.3
- openSuSE-10.3 build with mjpegtools-1.9.0 instead of gmerlin-mjpegtools
- rebuild for SuSE-10.0 without libcdio (patch from upstream)
* Fri May 11 2007 toni@links2linux.de
- update to 0.1.6
* Tue Jan  2 2007 toni@links2linux.de
- build SuSE-10.2, corrected BuildRequires
* Sat Dec  9 2006 toni@links2linux.de
- update to 0.1.5
* Wed Nov  8 2006 toni@links2linux.de
- build against new x264
* Fri Sep 22 2006 toni@links2linux.de
- added libcdio-patch
* Tue Sep 19 2006 toni@links2linux.de
- build for packman
* Thu Aug 17 2006 oc2pus@arcor.de - 0.1.4-0.oc2pus.2
- rebuild against new libs from packman
* Wed Jul 12 2006 oc2pus@arcor.de - 0.1.4-0.oc2pus.1
- update to 0.1.4
* Wed Apr 12 2006 oc2pus@arcor.de - 0.1.3-0.oc2pus.2
- corrected file-rights
* Sat Feb  4 2006 oc2pus@arcor.de - 0.1.3-0.oc2pus.1
- update to 0.1.3
* Fri Nov 18 2005 oc2pus@arcor.de - 0.1.2-0.oc2pus.1
- initial version 0.1.2
